org.icefaces.ace.component.selectmenu

## Class SelectMenuBase

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - org.icefaces.ace.component.selectmenu.SelectMenuBase

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IceClientBehaviorHolder, ISelectMenu
  Direct Known Subclasses:
    SelectMenu

      public abstract class SelectMenuBase
      extends javax.faces.component.UIInput
      implements ISelectMenu, IceClientBehaviorHolder

  For more information, see the SelectMenu Wiki Documentation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `SelectMenuBase.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIInput

      `COMPONENT_FAMILY, CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectMenuBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientBehavior(java.lang.String eventName, javax.faces.component.behavior.ClientBehavior behavior)`
    `java.lang.String` | `getAccesskey()` Return the value of the `accesskey` property.
    `java.lang.String` | `getDefaultEventName()`
    `java.lang.String` | `getDefaultExecute(java.lang.String event)`
    `java.lang.String` | `getDefaultRender(java.lang.String event)`
    `java.lang.String` | `getDir()` Return the value of the `dir` property.
    `java.util.Collection<java.lang.String>` | `getEventNames()`
    `java.lang.String` | `getFamily()`
    `int` | `getHeight()` Return the value of the `height` property.
    `java.lang.String` | `getHideEffect()` Return the value of the `hideEffect` property.
    `int` | `getHideEffectLength()` Return the value of the `hideEffectLength` property.
    `java.lang.String` | `getIndicatorPosition()` Return the value of the `indicatorPosition` property.
    `java.lang.Object` | `getItemDisabled()` Return the value of the `itemDisabled` property.
    `java.util.List` | `getItemList()` Return the value of the `itemList` property.
    `java.lang.Object` | `getItemValue()` Return the value of the `itemValue` property.
    `java.lang.String` | `getLabel()` Return the value of the `label` property.
    `java.lang.String` | `getLabelPosition()` Return the value of the `labelPosition` property.
    `java.lang.String` | `getLang()` Return the value of the `lang` property.
    `java.lang.String` | `getListenerArgument(java.lang.String event)`
    `java.util.List` | `getListValue()` Return the value of the `listValue` property.
    `java.lang.String` | `getListVar()` Return the value of the `listVar` property.
    `java.lang.String` | `getOptionalIndicator()` Return the value of the `optionalIndicator` property.
    `java.lang.String` | `getRequiredIndicator()` Return the value of the `requiredIndicator` property.
    `java.lang.String` | `getShowEffect()` Return the value of the `showEffect` property.
    `int` | `getShowEffectLength()` Return the value of the `showEffectLength` property.
    `java.lang.String` | `getStyle()` Return the value of the `style` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `java.lang.String` | `getTabindex()` Return the value of the `tabindex` property.
    `java.lang.String` | `getTitle()` Return the value of the `title` property.
    `int` | `getWidth()` Return the value of the `width` property.
    `boolean` | `isDisabled()` Return the value of the `disabled` property.
    `protected boolean` | `isPropertySet(java.lang.String finder)`
    `boolean` | `isReadonly()` Return the value of the `readonly` property.
    `void` | `setAccesskey(java.lang.String accesskey)` Set the value of the `accesskey` property.
    `void` | `setDir(java.lang.String dir)` Set the value of the `dir` property.
    `void` | `setDisabled(boolean disabled)` Set the value of the `disabled` property.
    `void` | `setHeight(int height)` Set the value of the `height` property.
    `void` | `setHideEffect(java.lang.String hideEffect)` Set the value of the `hideEffect` property.
    `void` | `setHideEffectLength(int hideEffectLength)` Set the value of the `hideEffectLength` property.
    `void` | `setIndicatorPosition(java.lang.String indicatorPosition)` Set the value of the `indicatorPosition` property.
    `void` | `setItemDisabled(java.lang.Object itemDisabled)` Set the value of the `itemDisabled` property.
    `void` | `setItemList(java.util.List itemList)` Set the value of the `itemList` property.
    `void` | `setItemValue(java.lang.Object itemValue)` Set the value of the `itemValue` property.
    `void` | `setLabel(java.lang.String label)` Set the value of the `label` property.
    `void` | `setLabelPosition(java.lang.String labelPosition)` Set the value of the `labelPosition` property.
    `void` | `setLang(java.lang.String lang)` Set the value of the `lang` property.
    `void` | `setListValue(java.util.List listValue)` Set the value of the `listValue` property.
    `void` | `setListVar(java.lang.String listVar)` Set the value of the `listVar` property.
    `void` | `setOptionalIndicator(java.lang.String optionalIndicator)` Set the value of the `optionalIndicator` property.
    `void` | `setReadonly(boolean readonly)` Set the value of the `readonly` property.
    `void` | `setRequiredIndicator(java.lang.String requiredIndicator)` Set the value of the `requiredIndicator` property.
    `void` | `setShowEffect(java.lang.String showEffect)` Set the value of the `showEffect` property.
    `void` | `setShowEffectLength(int showEffectLength)` Set the value of the `showEffectLength` property.
    `void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setTabindex(java.lang.String tabindex)` Set the value of the `tabindex` property.
    `void` | `setTitle(java.lang.String title)` Set the value of the `title` property.
    `void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression binding)`
    `void` | `setWidth(int width)` Set the value of the `width` property.

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValue, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `getClientBehaviors`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SelectMenuBase

          public SelectMenuBase()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIInput`

    - #### setAccesskey

          public void setAccesskey(java.lang.String accesskey)

      Set the value of the `accesskey` property.

      Contents: Access key that, when pressed, transfers focus to this component.

      Specified by:
        `setAccesskey` in interface `ISelectMenu`

    - #### getAccesskey

          public java.lang.String getAccesskey()

      Return the value of the `accesskey` property.

      Contents: Access key that, when pressed, transfers focus to this component.

      Specified by:
        `getAccesskey` in interface `ISelectMenu`

    - #### setDir

          public void setDir(java.lang.String dir)

      Set the value of the `dir` property.

      Contents: Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left).

      Specified by:
        `setDir` in interface `ISelectMenu`

    - #### getDir

          public java.lang.String getDir()

      Return the value of the `dir` property.

      Contents: Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left).

      Specified by:
        `getDir` in interface `ISelectMenu`

    - #### setDisabled

          public void setDisabled(boolean disabled)

      Set the value of the `disabled` property.

      Contents: Flag indicating that this element must never receive focus or be included in a subsequent submit. A value of false causes no attribute to be rendered, while a value of true causes the attribute to be rendered as disabled="disabled".

      Specified by:
        `setDisabled` in interface `ISelectMenu`

    - #### isDisabled

          public boolean isDisabled()

      Return the value of the `disabled` property.

      Contents: Flag indicating that this element must never receive focus or be included in a subsequent submit. A value of false causes no attribute to be rendered, while a value of true causes the attribute to be rendered as disabled="disabled". Default = 'false'.

      Specified by:
        `isDisabled` in interface `ISelectMenu`

    - #### setHeight

          public void setHeight(int height)

      Set the value of the `height` property.

      Contents: Maximum height in pixels of the list of possible matches (if 0, then the size is automatically adjusted to show all possible matches).

      Specified by:
        `setHeight` in interface `ISelectMenu`

    - #### getHeight

          public int getHeight()

      Return the value of the `height` property.

      Contents: Maximum height in pixels of the list of possible matches (if 0, then the size is automatically adjusted to show all possible matches).

      Specified by:
        `getHeight` in interface `ISelectMenu`

    - #### setHideEffect

          public void setHideEffect(java.lang.String hideEffect)

      Set the value of the `hideEffect` property.

      Contents: Effect to use when hiding the list. Possible values are 'blind', 'bounce', 'clip', 'drop', 'explode', 'fade', 'fold', 'puff', 'pulsate', 'scale', and 'slide'.

      Specified by:
        `setHideEffect` in interface `ISelectMenu`

    - #### getHideEffect

          public java.lang.String getHideEffect()

      Return the value of the `hideEffect` property.

      Contents: Effect to use when hiding the list. Possible values are 'blind', 'bounce', 'clip', 'drop', 'explode', 'fade', 'fold', 'puff', 'pulsate', 'scale', and 'slide'. Default = 'fade'.

      Specified by:
        `getHideEffect` in interface `ISelectMenu`

    - #### setHideEffectLength

          public void setHideEffectLength(int hideEffectLength)

      Set the value of the `hideEffectLength` property.

      Contents: Length of time in milliseconds the hide effect will last for.

      Specified by:
        `setHideEffectLength` in interface `ISelectMenu`

    - #### getHideEffectLength

          public int getHideEffectLength()

      Return the value of the `hideEffectLength` property.

      Contents: Length of time in milliseconds the hide effect will last for. Default = '150'.

      Specified by:
        `getHideEffectLength` in interface `ISelectMenu`

    - #### setIndicatorPosition

          public void setIndicatorPosition(java.lang.String indicatorPosition)

      Set the value of the `indicatorPosition` property.

      Contents: Position of input-required or input-optional indicator relative to input field or label. Supported values are "left/right/top/bottom/labelLeft/labelRight/none". Default is "labelRight" if labelPosition is "inField", "right" otherwise.

      Specified by:
        `setIndicatorPosition` in interface `ISelectMenu`

    - #### getIndicatorPosition

          public java.lang.String getIndicatorPosition()

      Return the value of the `indicatorPosition` property.

      Contents: Position of input-required or input-optional indicator relative to input field or label. Supported values are "left/right/top/bottom/labelLeft/labelRight/none". Default is "labelRight" if labelPosition is "inField", "right" otherwise.

      Specified by:
        `getIndicatorPosition` in interface `ISelectMenu`

    - #### setItemDisabled

          public void setItemDisabled(java.lang.Object itemDisabled)

      Set the value of the `itemDisabled` property.

      Contents: ValueExpression that specifies the property of the data object to use for checking whether the item should be disabled or not. It must evaluate to a boolean value. This only applies when listvar is used and the rendering is done by means of a facet. When using f:selectItem(s), the disabled property on that object/tag is used for the same effect.

      Specified by:
        `setItemDisabled` in interface `ISelectMenu`

    - #### getItemDisabled

          public java.lang.Object getItemDisabled()

      Return the value of the `itemDisabled` property.

      Contents: ValueExpression that specifies the property of the data object to use for checking whether the item should be disabled or not. It must evaluate to a boolean value. This only applies when listvar is used and the rendering is done by means of a facet. When using f:selectItem(s), the disabled property on that object/tag is used for the same effect.

      Specified by:
        `getItemDisabled` in interface `ISelectMenu`

    - #### setItemValue

          public void setItemValue(java.lang.Object itemValue)

      Set the value of the `itemValue` property.

      Contents: ValueExpression that specifies the property of the data object to use as the value of the item for this component if it gets selected. This only applies when listvar is used and the rendering is done by means of a facet.

      Specified by:
        `setItemValue` in interface `ISelectMenu`

    - #### getItemValue

          public java.lang.Object getItemValue()

      Return the value of the `itemValue` property.

      Contents: ValueExpression that specifies the property of the data object to use as the value of the item for this component if it gets selected. This only applies when listvar is used and the rendering is done by means of a facet.

      Specified by:
        `getItemValue` in interface `ISelectMenu`

    - #### setLabel

          public void setLabel(java.lang.String label)

      Set the value of the `label` property.

      Contents: A localized user presentable name for this component.

      Specified by:
        `setLabel` in interface `ISelectMenu`

    - #### getLabel

          public java.lang.String getLabel()

      Return the value of the `label` property.

      Contents: A localized user presentable name for this component.

      Specified by:
        `getLabel` in interface `ISelectMenu`

    - #### setLabelPosition

          public void setLabelPosition(java.lang.String labelPosition)

      Set the value of the `labelPosition` property.

      Contents: Position of label relative to input field. Supported values are "left/right/top/bottom/inField/none". Default is "none".

      Specified by:
        `setLabelPosition` in interface `ISelectMenu`

    - #### getLabelPosition

          public java.lang.String getLabelPosition()

      Return the value of the `labelPosition` property.

      Contents: Position of label relative to input field. Supported values are "left/right/top/bottom/inField/none". Default is "none".

      Specified by:
        `getLabelPosition` in interface `ISelectMenu`

    - #### setLang

          public void setLang(java.lang.String lang)

      Set the value of the `lang` property.

      Contents: Code describing the language used in the generated markup for this component.

      Specified by:
        `setLang` in interface `ISelectMenu`

    - #### getLang

          public java.lang.String getLang()

      Return the value of the `lang` property.

      Contents: Code describing the language used in the generated markup for this component.

      Specified by:
        `getLang` in interface `ISelectMenu`

    - #### setListValue

          public void setListValue(java.util.List listValue)

      Set the value of the `listValue` property.

      Contents: When rendering via a facet, this attribute specifies the list of data objects that contains all possible options.

      Specified by:
        `setListValue` in interface `ISelectMenu`

    - #### getListValue

          public java.util.List getListValue()

      Return the value of the `listValue` property.

      Contents: When rendering via a facet, this attribute specifies the list of data objects that contains all possible options.

      Specified by:
        `getListValue` in interface `ISelectMenu`

    - #### setListVar

          public void setListVar(java.lang.String listVar)

      Set the value of the `listVar` property.

      Contents: Variable name to use for referencing each data object in the list when rendering via a facet.

      Specified by:
        `setListVar` in interface `ISelectMenu`

    - #### getListVar

          public java.lang.String getListVar()

      Return the value of the `listVar` property.

      Contents: Variable name to use for referencing each data object in the list when rendering via a facet.

      Specified by:
        `getListVar` in interface `ISelectMenu`

    - #### setOptionalIndicator

          public void setOptionalIndicator(java.lang.String optionalIndicator)

      Set the value of the `optionalIndicator` property.

      Contents: Indicator indicating that the user is NOT required to provide a submitted value for this input component.

      Specified by:
        `setOptionalIndicator` in interface `ISelectMenu`

    - #### getOptionalIndicator

          public java.lang.String getOptionalIndicator()

      Return the value of the `optionalIndicator` property.

      Contents: Indicator indicating that the user is NOT required to provide a submitted value for this input component.

      Specified by:
        `getOptionalIndicator` in interface `ISelectMenu`

    - #### setReadonly

          public void setReadonly(boolean readonly)

      Set the value of the `readonly` property.

      Contents: Flag indicating that this component will prohibit changes by the user. The element may receive focus unless it has also been disabled. A value of false causes no attribute to be rendered, while a value of true causes the attribute to be rendered as readonly="readonly".

      Specified by:
        `setReadonly` in interface `ISelectMenu`

    - #### isReadonly

          public boolean isReadonly()

      Return the value of the `readonly` property.

      Contents: Flag indicating that this component will prohibit changes by the user. The element may receive focus unless it has also been disabled. A value of false causes no attribute to be rendered, while a value of true causes the attribute to be rendered as readonly="readonly". Default = 'false'.

      Specified by:
        `isReadonly` in interface `ISelectMenu`

    - #### setRequiredIndicator

          public void setRequiredIndicator(java.lang.String requiredIndicator)

      Set the value of the `requiredIndicator` property.

      Contents: Indicator indicating that the user is required to provide a submitted value for this input component.

      Specified by:
        `setRequiredIndicator` in interface `ISelectMenu`

    - #### getRequiredIndicator

          public java.lang.String getRequiredIndicator()

      Return the value of the `requiredIndicator` property.

      Contents: Indicator indicating that the user is required to provide a submitted value for this input component.

      Specified by:
        `getRequiredIndicator` in interface `ISelectMenu`

    - #### setShowEffect

          public void setShowEffect(java.lang.String showEffect)

      Set the value of the `showEffect` property.

      Contents: Effect to use when showing the list. Possible values are 'blind', 'bounce', 'clip', 'drop', 'explode', 'fade', 'fold', 'puff', 'pulsate', 'scale', 'slide', and 'shake'.

      Specified by:
        `setShowEffect` in interface `ISelectMenu`

    - #### getShowEffect

          public java.lang.String getShowEffect()

      Return the value of the `showEffect` property.

      Contents: Effect to use when showing the list. Possible values are 'blind', 'bounce', 'clip', 'drop', 'explode', 'fade', 'fold', 'puff', 'pulsate', 'scale', 'slide', and 'shake'. Default = 'fade'.

      Specified by:
        `getShowEffect` in interface `ISelectMenu`

    - #### setShowEffectLength

          public void setShowEffectLength(int showEffectLength)

      Set the value of the `showEffectLength` property.

      Contents: Length of time in milliseconds the show effect will last for.

      Specified by:
        `setShowEffectLength` in interface `ISelectMenu`

    - #### getShowEffectLength

          public int getShowEffectLength()

      Return the value of the `showEffectLength` property.

      Contents: Length of time in milliseconds the show effect will last for. Default = '150'.

      Specified by:
        `getShowEffectLength` in interface `ISelectMenu`

    - #### setStyle

          public void setStyle(java.lang.String style)

      Set the value of the `style` property.

      Contents: Style class name of the container element.

      Specified by:
        `setStyle` in interface `ISelectMenu`

    - #### getStyle

          public java.lang.String getStyle()

      Return the value of the `style` property.

      Contents: Style class name of the container element.

      Specified by:
        `getStyle` in interface `ISelectMenu`

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

      Contents: Style class name of the container element.

      Specified by:
        `setStyleClass` in interface `ISelectMenu`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

      Contents: Style class name of the container element.

      Specified by:
        `getStyleClass` in interface `ISelectMenu`

    - #### setTabindex

          public void setTabindex(java.lang.String tabindex)

      Set the value of the `tabindex` property.

      Contents: Position of this element in the tabbing order for the current document. This value must be an integer between 0 and 32767.

      Specified by:
        `setTabindex` in interface `ISelectMenu`

    - #### getTabindex

          public java.lang.String getTabindex()

      Return the value of the `tabindex` property.

      Contents: Position of this element in the tabbing order for the current document. This value must be an integer between 0 and 32767.

      Specified by:
        `getTabindex` in interface `ISelectMenu`

    - #### setTitle

          public void setTitle(java.lang.String title)

      Set the value of the `title` property.

      Contents: Advisory title information about markup elements generated for this component.

      Specified by:
        `setTitle` in interface `ISelectMenu`

    - #### getTitle

          public java.lang.String getTitle()

      Return the value of the `title` property.

      Contents: Advisory title information about markup elements generated for this component.

      Specified by:
        `getTitle` in interface `ISelectMenu`

    - #### setWidth

          public void setWidth(int width)

      Set the value of the `width` property.

      Contents: The width of the text input field, in pixels.

      Specified by:
        `setWidth` in interface `ISelectMenu`

    - #### getWidth

          public int getWidth()

      Return the value of the `width` property.

      Contents: The width of the text input field, in pixels. Default = '200'.

      Specified by:
        `getWidth` in interface `ISelectMenu`

    - #### setItemList

          public void setItemList(java.util.List itemList)

      Set the value of the `itemList` property.

      Specified by:
        `setItemList` in interface `ISelectMenu`

    - #### getItemList

          public java.util.List getItemList()

      Return the value of the `itemList` property.

      Specified by:
        `getItemList` in interface `ISelectMenu`

    - #### isPropertySet

          protected boolean isPropertySet(java.lang.String finder)

    - #### setValueExpression

          public void setValueExpression(java.lang.String name,
                                         javax.el.ValueExpression binding)

      Overrides:
        `setValueExpression` in class `javax.faces.component.UIComponent`

    - #### getEventNames

          public java.util.Collection<java.lang.String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public java.lang.String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultRender

          public java.lang.String getDefaultRender(java.lang.String event)

      Specified by:
        `getDefaultRender` in interface `IceClientBehaviorHolder`

    - #### getDefaultExecute

          public java.lang.String getDefaultExecute(java.lang.String event)

      Specified by:
        `getDefaultExecute` in interface `IceClientBehaviorHolder`

    - #### getListenerArgument

          public java.lang.String getListenerArgument(java.lang.String event)

      Specified by:
        `getListenerArgument` in interface `IceClientBehaviorHolder`

    - #### addClientBehavior

          public void addClientBehavior(java.lang.String eventName,
                                        javax.faces.component.behavior.ClientBehavior behavior)

      Specified by:
        `addClientBehavior` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `addClientBehavior` in class `javax.faces.component.UIComponentBase`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.